using System;
using System.Collections.Generic;
using System.Text;

namespace PS.Framework.Remoting
{
	/// <summary>
	/// States of a interface client connection
	/// </summary>
	[Serializable]
	public enum InterfaceConnectionState
	{
		/// <summary>
		/// The interface is not connected.
		/// </summary>
		NotConnected = 0,
		/// <summary>
		/// The interface is connected.
		/// </summary>
		Connected = 1,
		/// <summary>
		/// The interface connection has an error.
		/// </summary>
		ConnectionError = 3
	}
	
}
