﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PS.Framework.EventLogger
{
    internal interface ILogEngine
    {
        LoggerConfiguration Configuration
        {
            get;
            set;
        }
        void WriteLog(string message, Exception exc, LogEntryType logEntryType);
        LogEntry[] GetLogEntries();
        void Dispose();
    }
}
